"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd4c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd550>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd5e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd670>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd700>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd790>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd820>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd8b0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd940>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dd9d0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dda60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddaf0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddb80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddc10>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddca0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddd30>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dddc0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131dde50>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddee0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ddf70>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6040>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e60d0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6160>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e61f0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6310>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6280>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e63a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6430>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e64c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6550>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e65e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6670>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6700>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6790>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6820>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e68b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6940>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e69d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6a60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6af0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6b80>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6c10>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6ca0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6d30>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6dc0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6e50>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6ee0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e6f70>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e90d0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9160>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e91f0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9280>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9310>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e93a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9430>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e94c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9550>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e95e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9670>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9700>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9790>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9820>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e98b0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9940>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9af0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e99d0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9b80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9c10>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9ca0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9d30>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9dc0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9ee0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9e50>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131e9f70>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec040>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec0d0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec1f0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec160>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec280>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec310>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec3a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec430>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec4c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7131ec550>)]
name: str = 'fr_HOCCN'
